Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class XRefFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.crosswire.jsword.index.lucene.analysis.AbstractBookTokenFilter
                  org.crosswire.jsword.index.lucene.analysis.XRefFilter

    public class XRefFilter

extends AbstractBookTokenFilter

A KeyFilter normalizes OSISrefs.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`XRefFilter(Book book, org.apache.lucene.analysis.TokenStream in)` Construct an XRefFilter tied to a Book.
`XRefFilter(org.apache.lucene.analysis.TokenStream in)` Construct filtering in.

Method Summary
`org.apache.lucene.analysis.Token` | `next(org.apache.lucene.analysis.Token result)`

Methods inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookTokenFilter
`getBook, setBook`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XRefFilter

    public XRefFilter(org.apache.lucene.analysis.TokenStream in)

  Construct filtering in.

### XRefFilter

    public XRefFilter(Book book,
                      org.apache.lucene.analysis.TokenStream in)

  Construct an XRefFilter tied to a Book.

  Parameters:
    `book` - the book to which this TokenFilter is tied.
    `in` - the input TokenStream

Method Detail

### next

    public final org.apache.lucene.analysis.Token next(org.apache.lucene.analysis.Token result)
                                                throws IOException

  Overrides:
    `next` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD